import { LfI18n, LfStorage, PathBased } from '@lightweightform/core';
/**
 * Available types of card content.
 */
export declare type CardContentType = 'header' | 'body' | 'footer' | 'title' | 'subtitle' | 'text' | 'link' | 'img' | 'img-overlay' | 'img-top' | 'img-bottom';
/**
 * Content of an `lf-card`.
 */
export declare class CardContentComponent extends PathBased {
    /**
     * Type of the content.
     */
    contentType: CardContentType;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n);
    get _hostClassCardHeader(): boolean;
    get _hostClassCardBody(): boolean;
    get _hostClassCardFooter(): boolean;
    get _hostClassCardTitle(): boolean;
    get _hostClassCardSubtitle(): boolean;
    get _hostClassCardText(): boolean;
    get _hostClassCardLink(): boolean;
    get _hostClassCardImg(): boolean;
    get _hostClassCardImgOverlay(): boolean;
    get _hostClassCardImgTop(): boolean;
    get _hostClassCardImgBottom(): boolean;
}
