import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { LfI18n, LfStorage, PathBased } from '@lightweightform/core';
import 'bootstrap/js/dist/dropdown.js';
import { Toggleable } from '../../abstract/toggleable';
export declare type DropdownPosition = 'left' | 'right' | 'up' | 'down';
export declare type DropdownBoundary = 'viewport' | 'window' | 'scrollParent' | ElementRef;
export declare type DropdownReference = 'toggle' | 'parent' | ElementRef;
export declare type DropdownDisplay = 'dynamic' | 'static';
/**
 * LF dropdown component.
 */
export declare class DropdownComponent extends Toggleable implements AfterViewInit, OnDestroy {
    private host;
    position: DropdownPosition;
    offset: string | number;
    flip: boolean;
    boundary: DropdownBoundary;
    reference: DropdownReference;
    display: DropdownDisplay;
    shown: EventEmitter<void>;
    hidden: EventEmitter<void>;
    _hostClassBtnGroup: boolean;
    _toggle: ElementRef;
    private $host;
    private $toggle;
    private isAnimating;
    private disposeOnOptionsChange;
    private showSubscription;
    private hideSubscription;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n, host: ElementRef);
    get _hostClassDropleft(): boolean;
    get _hostClassDropright(): boolean;
    get _hostClassDropup(): boolean;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * Creates a new dropdown and starts listening to events.
     */
    private createDropdown;
    /**
     * Unsubscribes from all events and destroys the dropdown.
     */
    private destroyDropdown;
}
